Name:           perl-POE-Loop-Event
Version:        1.305
Release:    1%{?dist}
Summary:        Bridge that allows POE to be driven by Event.pm
License:        GPL+ or Artistic
URL:            https://metacpan.org/release/POE-Loop-Event

Source0:        https://cpan.metacpan.org/authors/id/R/RC/RCAPUTO/POE-Loop-Event-%{version}.tar.gz
BuildArch:      noarch

BuildRequires:  coreutils
BuildRequires:  findutils
BuildRequires:  make
BuildRequires:  perl-interpreter
BuildRequires:  perl-generators
BuildRequires:  perl(ExtUtils::MakeMaker)
BuildRequires:  perl(POE::Test::Loops) >= 1.352
BuildRequires:  perl(strict)
BuildRequires:  perl(warnings)

BuildRequires:  perl(Event) >= 1.21
BuildRequires:  perl(POE) >= 1.356
BuildRequires:  perl(POE::Loop::PerlSignals)
BuildRequires:  perl(vars)

BuildRequires:  perl(POSIX)
BuildRequires:  perl(Socket::GetAddrInfo)
BuildRequires:  perl(Term::Size)
BuildRequires:  perl(Test::More)
BuildRequires:  perl(lib)

Requires:       perl(Event) >= 1.21
Requires:       perl(POE) >= 1.356

%{?perl_default_filter}
%global __requires_exclude %{?__requires_exclude:__requires_exclude|}perl\\(Event\\)
%global __provides_exclude %{?__provides_exclude:__provides_exclude|}perl\\(POE::Kernel\\)

%description
POE::Loop::Event implements the interface documented in POE::Loop.
Therefore it has no documentation of its own. Please see POE::Loop for
more details.

%prep
%setup -q -n POE-Loop-Event-%{version}

%build
perl Makefile.PL INSTALLDIRS=vendor --default
touch run_network_tests

make %{?_smp_mflags}

%install
make pure_install DESTDIR=%{buildroot}

find %{buildroot} -type f -name .packlist -exec rm -f {} \;

%{_fixperms} %{buildroot}/*

%check
make test

%files
%doc CHANGES README
%{perl_vendorlib}/*
%{_mandir}/man3/*


%changelog
* Thu Jun 20 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.305-1
- initial build
